Last modified: 2013-06-11 01:13:01 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 45585 - Keyboard Icon of Language selector for RTL languages should be at left
Keyboard Icon of Language selector for RTL languages should be at left
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
UniversalLanguageSelector (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Moriel Schottlender
ux
: easy, i18n
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2013-02-28 21:38 UTC by reza1615
Modified: 2013-06-11 01:13 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Icon should be at left (11.77 KB, image/png)
2013-03-01 11:32 UTC, reza1615
Details

Description reza1615 2013-02-28 21:38:47 UTC
Keyboard Icon of Language selector for RTL langugaes should at left now it is at right so i covers the first part of text! and we should disable it.
Comment 1 reza1615 2013-02-28 21:43:33 UTC
Excuse me for bad typing it is saved at the middle of typing!

bug:

Keyboard Icon of Language selector for RTL languages should be at the left of input-text now it is at the right so the icon covers the first part of input-text and we should disable it.
Comment 2 reza1615 2013-03-01 11:32:44 UTC
Created attachment 11867 [details]
Icon should be at left
Comment 3 reza1615 2013-03-01 16:27:07 UTC
I think in http://bits.wikimedia.org/static-1.21wmf10/extensions/UniversalLanguageSelector/lib/jquery.ime/jquery.ime.js

under line 

position: function () {


it should define of the language is RTL the position should be left


left = position.left + this.$element.outerWidth() - this.$imeSetting.outerWidth();
if (this.$element.css('direction') === 'rtl') {
 left = position.right + this.$element.outerWidth() - this.$imeSetting.outerWidth();
}
Comment 4 Andre Klapper 2013-03-01 21:59:11 UTC
[RTL problem => blocking bug 745]
Comment 5 Gerrit Notification Bot 2013-05-01 06:39:16 UTC
Related URL: https://gerrit.wikimedia.org/r/61749 (Gerrit Change If3ee213daae8cd8e5cefb6daecd19eb3a6da76c9)
Comment 6 Niklas Laxström 2013-05-05 09:27:19 UTC
Amir: could you make patch to update our libs from upstream?
Comment 7 Amir E. Aharoni 2013-06-11 01:13:01 UTC
Fixed by Moriel.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links